|  | reflex::FlexLexer< M >::Matcher Class Reference updated Fri Dec 9 2016 |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
reflex::FlexLexer< M >::Matcher Class Reference

Extends reflex::AbstractLexer::Matcher for Flex-compatibility. More...

`#include <flexlexer.h>`

Inheritance diagram for reflex::FlexLexer< M >::Matcher:
[legend]
Collaboration diagram for reflex::FlexLexer< M >::Matcher:
[legend]

## Public Member Functions
| Matcher (const typename M::Pattern &pattern, const Input &input, FlexLexer *lexer)
Public Member Functions inherited from reflex::AbstractLexer< M >::Matcher
| Matcher (const typename M::Pattern &pattern, const Input &input, AbstractLexer *lexer, const char *opt=NULL)

## Protected Member Functions
virtual size_t | get (char *s, size_t n)
| Read character sequences via a Flex-compatible virtual FlexLexer::LexerInput method. More...
virtual bool | wrap (void)
| Check the Flex-compatible FlexLexer::yywrap method to determine if matcher should wrap input after EOF. More...

## Additional Inherited Members
Protected Attributes inherited from reflex::AbstractLexer< M >::Matcher
AbstractLexer * | lexer_
| Points to the lexer class that instantiated this Matcher. More...

## Detailed Description

### template<typename M>
class reflex::FlexLexer< M >::Matcher

Extends reflex::AbstractLexer::Matcher for Flex-compatibility.

## Constructor & Destructor Documentation

template<typename M >

reflex::FlexLexer< M >::Matcher::Matcher | ( | const typename M::Pattern & | pattern,
|  | const Input & | input,
|  | FlexLexer * | lexer
| ) |  |
| inline

Parameters

  pattern | regex pattern to instantiate matcher class M(pattern, input)
  input | the reflex::Input to instantiate matcher class M(pattern, input)
  lexer | points to the instantiating lexer class

## Member Function Documentation

template<typename M >

virtual size_t reflex::FlexLexer< M >::Matcher::get | ( | char * | s,
|  | size_t | n
| ) |  |
| inline protected virtual

Read character sequences via a Flex-compatible virtual FlexLexer::LexerInput method.

template<typename M >

virtual bool reflex::FlexLexer< M >::Matcher::wrap | ( | void |  | ) |
| inline protected virtual

Check the Flex-compatible FlexLexer::yywrap method to determine if matcher should wrap input after EOF.

Returns
  true if FlexLexer::yywrap() == 0

Reimplemented from reflex::AbstractLexer< M >::Matcher.

The documentation for this class was generated from the following file:

- flexlexer.h